# Asterisk Project : Asterisk 12 Application_JabberJoin_res_xmpp

Added by wikibot , edited by wikibot on Aug 29, 2013

# JabberJoin() - [res_xmpp]

### Synopsis

Join a chat room

### Description

Allows Asterisk to join a chat room.

### Syntax

    JabberJoin(Jabber,RoomJID[,Nickname])

##### Arguments

- `Jabber` - Client or transport Asterisk uses to connect to Jabber.
- `RoomJID` - XMPP/Jabber JID (Name) of chat room.
- `Nickname` - The nickname Asterisk will use in the chat room.

  Note

  If a different nickname is supplied to an already joined room, the old nick will be changed to the new one.

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown